Bug Hunting Session
Bug 126515 - FILEOPEN: Cannot open XML (Excel) with style parent ref.
Summary: FILEOPEN: Cannot open XML (Excel) with style parent ref.
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.3.0.2 rc
Hardware: All All
: medium normal
Assignee: Kohei Yoshida
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: MSO-XML2003
  Show dependency treegraph
 
Reported: 2019-07-23 09:28 UTC by info
Modified: 2019-08-19 10:54 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Original file from ark.intel.com (66.01 KB, text/xml)
2019-07-23 09:28 UTC, info
Details
Modified file where offending part is removed (65.93 KB, text/xml)
2019-07-23 09:29 UTC, info
Details

Note You need to log in before you can comment on or make changes to this bug.
Description info 2019-07-23 09:28:03 UTC
Created attachment 152954 [details]
Original file from ark.intel.com

It is not possible to open an XML (Excel) file having a Style tag with Parent attribute. The error message "General Error. General input/output Error." is shown while opening the file in LibreOffice Calc.

My file was generated by ark.intel.com about processor information:
https://ark.intel.com/content/www/us/en/ark/products/75460/intel-core-i7-4500u-processor-4m-cache-up-to-3-00-ghz.html
I exported the file by clicking the "Export specifications" link.

After removing
<ss:Style ss:ID="s22link" ss:Parent="s22"><ss:Font ss:Color="Blue" /></ss:Style>
I could open the file.

Steps to reproduce:
1. Open Intel_ARK_ComparisonChart_2019_07_23_original.xml in LO Calc
--> "General Error. General input/output Error."
2. Open Intel_ARK_ComparisonChart_2019_07_23_modified.xml where the offending Style tag was removed
--> File is opened

Actual Result:
An error message is shown and the original file cannot be opened.

Expected result:
The original file opens without error in LO Calc.

Versions
I tested it on LO 6.2.5.2 Linux and LO 6.3.0.2 Windows.

File type of XML (Excel) file:
<?xml version="1.0"?><?mso-application progid="Excel.Sheet"?><ss:Workbook xmlns="urn:schemas-microsoft-com:office:spreadsheet" xmlns:ss="urn:schemas-microsoft-com:office:spreadsheet">

I do not know if this Style tag having a Parent attribute is valid or not for the above file type.
Comment 1 info 2019-07-23 09:29:32 UTC
Created attachment 152955 [details]
Modified file where offending part is removed
Comment 2 raal 2019-07-26 17:48:30 UTC
Confirm with Version: 6.4.0.0.alpha0+
Build ID: 47a774fbef8c224e4853de3fdd0230b9442bb716
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 

bit not in Version: 4.1.0.0.alpha1+
Build ID: 863d38fbfa4fb4861e476828c46410602100919
Comment 3 raal 2019-07-26 17:55:23 UTC
This seems to have begun at the below commit.
Adding Cc: to Kohei Yoshida ; Could you possibly take a look at this one?
Thanks

de19941f7613db5dc62e0f0903ad9f523f3d2a16 is the first bad commit
commit de19941f7613db5dc62e0f0903ad9f523f3d2a16
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Mon Dec 18 07:57:01 2017 +0100

    source sha:152c79ee2be2374334202dc738a8f011e47845c7

author	Kohei Yoshida <kohei.yoshida@gmail.com>	2017-12-03 21:25:53 -0500
committer	Kohei Yoshida <libreoffice@kohei.us>	2017-12-18 02:30:39 +0100
commit	152c79ee2be2374334202dc738a8f011e47845c7 (patch)
tree	a9dca320422e3afa66f6ed94d0ef1b0ca5899027
parent	99210a149c859fcd683870b280adaeeffd1250e4 (diff)
Initial step on enabling the orcus-based Excel 2003 XML filter.
Still some work remains in the orcus interface implementation code
in sc.
Comment 4 Kohei Yoshida 2019-07-31 14:17:02 UTC
FYI, the orcus code from the latest master branch can open the attached file just fine.  This will be fixed when we upgrade the orcus library to the next release.
Comment 5 Kohei Yoshida 2019-08-15 12:54:33 UTC
The orcus package has been upgraded on master, and with that, this issue is now fixed.
Comment 6 Xisco Faulí 2019-08-19 10:54:05 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: cbe9601e5972ec1c466311e0b148a9fbe8cda4d1
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Kohei, thanks for fixing this issue!